DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# NeighbourIndicesListMake

Get indices to direct neighbours

## SYNOPSIS

`#include "dip_neighbourlist.h"`

dip_Error dip_NeighbourIndicesListMake ( stride, connectivity, indices, resources )

## FUNCTION

A list `indices` is created with the relative indices to the direct neighbours of a pixel in an image whose strides are given by `stride`. How many direct neighbours are returned is controlled by `connectivity`, see The connectivity parameter for the available values and their meaning.

indices is allocated and tracked in `resources`.

## ARGUMENTS

Data type | Name | Description
`dip_IntegerArray` | `stride` | Stride array
`dip_int` | `connectivity` | Connectivity
`dip_IntegerArray *` | `indices` | Output neighbour indices
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`NeighbourListMake`, `NeighbourListMakeChamfer`, `NeighbourListMakeImage`, `NeighbourListToIndices`, `NeighbourIndicesListMake`

DIPlib on-line documentation | Function reference | Global function index